Bug 140338 - Keyboard nuts after APM suspend/resume on Thinkpad R40
Keyboard nuts after APM suspend/resume on Thinkpad R40
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-22 08:55 EST by Thomas Roessler
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Roessler 2004-11-22 08:55:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
This is on an IBM Thinkpad R40 with Intel Corp. 82801BD PRO/100 VE
(MOB) Ethernet Controller (rev 81) [e100 driver], and Intel Corp.
PRO/Wireless LAN 2100 3B Mini PCI Adapter (rev 04) [ipw2100-1.0.0
isntalled].

The machine is rock-solid with 2.6.8-1.521, and suspends and resumes
cleanly using APM.

With 2.6.9-1.3_FC2, suspending didn't work unless the wired ethernet
interface was taken down; resuming would result in the keyboard
producing seemingly random characters.  With 2.6.9-1.6_FC2, the
machine now suspends cleanly in the same situation, but the keyboard
is still unusable after a resume.

Let me know if you need any further information.


Version-Release number of selected component (if applicable):
2.6.9-1.3_FC2; 2.6.1-1.6_FC2

How reproducible:
Always

Steps to Reproduce:
1. Suspend
2. Resume

;-)
    

Additional info:
Comment 1 Thomas Roessler 2005-01-05 06:59:16 EST
This seems to be fixed as of 2.6.9-1.724_FC3.
Comment 2 Thomas Roessler 2005-01-05 07:29:33 EST
(In reply to comment #1)
> This seems to be fixed as of 2.6.9-1.724_FC3.

I was overly optimistic. The problem did not occur during the first
suspend/resume cycle with 2.6.9-1.724, but reappeared with all future attempts
to suspend/resume the machine. I'm back to a custom version of 2.6.8.
Comment 3 Thomas Roessler 2005-01-05 08:06:43 EST
The workaround suggested in comment 142329#c11 (adding atkbd.reset to
the kernel command line) seems to cure the symptoms. I'll report back
if the problem reappears.
Comment 4 Thomas Roessler 2005-01-15 04:33:39 EST
This problem does not occur any more with 2.6.10-1.737_FC3, regardless
of the atkbd.reset kernel parameter.  With that kernel, though, the
machine crashes as described in bug report 145203.
Comment 5 Dave Jones 2005-04-16 00:59:39 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.